org.apache.tomcat.util.net

## Class AprEndpoint.SocketTimeouts

- java.lang.Object
- - org.apache.tomcat.util.net.AprEndpoint.SocketTimeouts

- Enclosing class:
    AprEndpoint

      public static class AprEndpoint.SocketTimeouts
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `pos`
    `protected int` | `size`
    `protected long[]` | `sockets`
    `protected long[]` | `timeouts`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AprEndpoint.SocketTimeouts(int size)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(long socket, long timeout)`
    `long` | `check(long date)`
    `long` | `remove(long socket)` Removes the specified socket from the poller.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### size

          protected int size

    - #### sockets

          protected long[] sockets

    - #### timeouts

          protected long[] timeouts

    - #### pos

          protected int pos

  - ### Constructor Detail

    - #### AprEndpoint.SocketTimeouts

          public AprEndpoint.SocketTimeouts(int size)

  - ### Method Detail

    - #### add

          public void add(long socket,
                 long timeout)

    - #### remove

          public long remove(long socket)

      Removes the specified socket from the poller.
      Parameters:
        `socket` - The socket to remove
      Returns:
        The configured timeout for the socket or zero if the socket was not in the list of socket timeouts

    - #### check

          public long check(long date)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.